<?php
/**
 * Window Cleaning: Block Patterns
 *
 * @since Window Cleaning 1.0
 */

/**
 * Registers block patterns and categories.
 *
 * @since Window Cleaning 1.0
 *
 * @return void
 */
function window_cleaning_register_block_patterns() {
	$window_cleaning_block_pattern_categories = array(
		'window-cleaning'    => array( 'label' => __( 'Window Cleaning', 'window-cleaning' ) ),
	);

	$window_cleaning_block_pattern_categories = apply_filters( 'window_cleaning_block_pattern_categories', $window_cleaning_block_pattern_categories );

	foreach ( $window_cleaning_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'window_cleaning_register_block_patterns', 9 );
